
window.onerror = function( err ) {

    var span = "<span class='propertyName'>";


    function _getManualStackTrace( args ) {
        var stackTrace = "<p>" + span + "Functions/methods in the call stack <em>(manual trace):</em>&nbsp; &nbsp; </span>";
        if( args.caller && args.caller.callee )
            stackTrace += args.caller.callee + "; " + args.caller.callee.arguments.caller.callee;
        else if( args.callee && args.callee.caller )
            stackTrace += args.callee.caller + "; " + args.callee.caller.arguments.callee.caller;
        stackTrace += "</p>";

        return stackTrace;
    }


    if ( typeof err == "string" ) { // An error thrown outside of a try-catch block.
        var message = "<p>" + span + "Error message</span>: " + err.valueOf() + "</p>";
        message += _getManualStackTrace( arguments );
    } 
    else {
        var message = "";
        for( var i = 0; i < checkErrorObj.properties.length; i++ ) {
            var propertyName = new String( checkErrorObj.properties[ i ] );        
            var name = span + checkErrorObj.properties[ i ] + "</span>";
            var value = err[ propertyName ];
            message += "<p>" + name + ": " + value + "</p>";
         }
        message += _getManualStackTrace( arguments );
    }

   document.getElementById( "output" ).innerHTML += message + "</p><hr/>";

   return true;
}



checkErrorObj.properties = [ "message", "description", "name", "fileName", "lineNumber", "stack" ];

function checkErrorObj() {
  az21221;
}

function checkTry() {
  try { 
    bz3122;
  } catch( err ) {
    window.onerror( err );
  }
}

function runTest( withTry ) {
  if( withTry ) 
    checkTry();
  else
    checkErrorObj();
}
